## org.apache.lucene.analysis.tokenattributes
Class OffsetAttributeImpl

    java.lang.Object
      org.apache.lucene.util.AttributeImpl
          org.apache.lucene.analysis.tokenattributes.OffsetAttributeImpl

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, OffsetAttribute, Attribute

    public class OffsetAttributeImpl

extends AttributeImpl
implements OffsetAttribute, java.lang.Cloneable, java.io.Serializable

The start and end character offset of a Token.

See Also:
  Serialized Form

Constructor Summary
`OffsetAttributeImpl()`

Method Summary
`void` `clear()` Clears the values in this AttributeImpl and resets it to its default value.
`void` `copyTo(AttributeImpl target)` Copies the values from this Attribute into the passed-in target attribute.
`int` `endOffset()` Returns this Token's ending offset, one greater than the position of the last character corresponding to this token in the source text.
`boolean` `equals(java.lang.Object other)` All values used for computation of `AttributeImpl.hashCode()` should be checked here for equality.
`int` `hashCode()` Subclasses must implement this method and should compute a hashCode similar to this:
`void` `setOffset(int startOffset, int endOffset)` Set the starting and ending offset.
`int` `startOffset()` Returns this Token's starting offset, the position of the first character corresponding to this token in the source text.

Methods inherited from class org.apache.lucene.util.AttributeImpl
`clone, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OffsetAttributeImpl

    public OffsetAttributeImpl()

Method Detail

### startOffset

    public int startOffset()

  Returns this Token's starting offset, the position of the first character corresponding to this token in the source text. Note that the difference between endOffset() and startOffset() may not be equal to termText.length(), as the term text may have been altered by a stemmer or some other filter.

  Specified by:
    `startOffset` in interface `OffsetAttribute`

### setOffset

    public void setOffset(int startOffset,
                          int endOffset)

  Set the starting and ending offset.

  Specified by:
    `setOffset` in interface `OffsetAttribute`
  See Also:
    `and #endOffset()`

### endOffset

    public int endOffset()

  Returns this Token's ending offset, one greater than the position of the last character corresponding to this token in the source text. The length of the token in the source text is (endOffset - startOffset).

  Specified by:
    `endOffset` in interface `OffsetAttribute`

### clear

    public void clear()

  Description copied from class: `AttributeImpl`
  Clears the values in this AttributeImpl and resets it to its default value. If this implementation implements more than one Attribute interface it clears all.

  Specified by:
    `clear` in class `AttributeImpl`

### equals

    public boolean equals(java.lang.Object other)

  Description copied from class: `AttributeImpl`
  All values used for computation of `AttributeImpl.hashCode()` should be checked here for equality. see also `Object.equals(Object)`

  Specified by:
    `equals` in class `AttributeImpl`

### hashCode

    public int hashCode()

  Description copied from class: `AttributeImpl`
  Subclasses must implement this method and should compute a hashCode similar to this:

         public int hashCode() {
           int code = startOffset;
           code = code * 31 + endOffset;
           return code;
         }

  see also `AttributeImpl.equals(Object)`

  Specified by:
    `hashCode` in class `AttributeImpl`

### copyTo

    public void copyTo(AttributeImpl target)

  Description copied from class: `AttributeImpl`
  Copies the values from this Attribute into the passed-in target attribute. The target implementation must support all the Attributes this implementation supports.

  Specified by:
    `copyTo` in class `AttributeImpl`

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.